Name:          vulkan-loader
Version:       1.3.217
Release:       1mamba
Summary:       A library that is placed between a Vulkan application and any number of Vulkan drivers, in order to support multiple drivers
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/KhronosGroup/Vulkan-Loader
Source:        https://github.com/KhronosGroup/Vulkan-Loader.git/v%{version}/Vulkan-Loader-%{version}.tar.bz2
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: vulkan-headers >= %{version}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
The ICD loader is a library that is placed between a Vulkan application and any number of Vulkan drivers, in order to support multiple drivers and the instance-level functionality that works across these drivers.
Additionally, the loader manages inserting Vulkan layer libraries, such as validation layers, between an application and the drivers.

%package -n libvulkan
Group:         System/Libraries
Summary:       Vulkan Loader library

%description -n libvulkan
Vulkan Loader library.

%package -n libvulkan-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libvulkan = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n libvulkan-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q -n Vulkan-Loader-%{version}

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libvulkan -p /sbin/ldconfig
%postun -n libvulkan -p /sbin/ldconfig

%files -n libvulkan
%defattr(-,root,root)
%{_libdir}/libvulkan.so.*

%files -n libvulkan-devel
%defattr(-,root,root)
%{_libdir}/libvulkan.so
%{_libdir}/pkgconfig/vulkan.pc
%doc README.md

%changelog
* Tue Jun 14 2022 Automatic Build System <autodist@mambasoft.it> 1.3.217-1mamba
- automatic version update by autodist

* Sat Jun 04 2022 Automatic Build System <autodist@mambasoft.it> 1.3.216-1mamba
- automatic version update by autodist

* Thu May 26 2022 Automatic Build System <autodist@mambasoft.it> 1.3.215-1mamba
- automatic version update by autodist

* Thu May 19 2022 Automatic Build System <autodist@mambasoft.it> 1.3.214-1mamba
- automatic version update by autodist

* Sat May 14 2022 Automatic Build System <autodist@mambasoft.it> 1.3.213-1mamba
- automatic version update by autodist

* Mon Apr 25 2022 Automatic Build System <autodist@mambasoft.it> 1.3.212-1mamba
- automatic version update by autodist

* Thu Apr 07 2022 Automatic Build System <autodist@mambasoft.it> 1.3.211-1mamba
- automatic version update by autodist

* Sun Apr 03 2022 Automatic Build System <autodist@mambasoft.it> 1.3.210-1mamba
- automatic version update by autodist

* Fri Mar 25 2022 Automatic Build System <autodist@mambasoft.it> 1.3.209-1mamba
- automatic version update by autodist

* Thu Mar 17 2022 Automatic Build System <autodist@mambasoft.it> 1.3.208-1mamba
- automatic version update by autodist

* Sat Mar 12 2022 Automatic Build System <autodist@mambasoft.it> 1.3.207-1mamba
- automatic version update by autodist

* Sat Feb 19 2022 Automatic Build System <autodist@mambasoft.it> 1.3.206-1mamba
- automatic version update by autodist

* Tue Feb 08 2022 Automatic Build System <autodist@mambasoft.it> 1.3.205-1mamba
- automatic version update by autodist

* Wed Jan 26 2022 Automatic Build System <autodist@mambasoft.it> 1.3.204-1mamba
- automatic version update by autodist

* Wed Dec 22 2021 Automatic Build System <autodist@mambasoft.it> 1.2.203-1mamba
- automatic version update by autodist

* Wed Dec 15 2021 Automatic Build System <autodist@mambasoft.it> 1.2.202-1mamba
- automatic version update by autodist

* Wed Dec 08 2021 Automatic Build System <autodist@mambasoft.it> 1.2.201-1mamba
- automatic version update by autodist

* Wed Dec 01 2021 Automatic Build System <autodist@mambasoft.it> 1.2.200-1mamba
- automatic version update by autodist

* Thu Nov 18 2021 Automatic Build System <autodist@mambasoft.it> 1.2.199-1mamba
- automatic version update by autodist

* Fri Nov 12 2021 Automatic Build System <autodist@mambasoft.it> 1.2.198-1mamba
- automatic version update by autodist

* Sat Nov 06 2021 Automatic Build System <autodist@mambasoft.it> 1.2.197-1mamba
- automatic version update by autodist

* Fri Oct 15 2021 Automatic Build System <autodist@mambasoft.it> 1.2.196-1mamba
- automatic version update by autodist

* Thu Sep 09 2021 Automatic Build System <autodist@mambasoft.it> 1.2.191-1mamba
- automatic version update by autodist

* Tue Aug 31 2021 Automatic Build System <autodist@mambasoft.it> 1.2.190-1mamba
- automatic version update by autodist

* Sun Aug 22 2021 Automatic Build System <autodist@mambasoft.it> 1.2.189-1mamba
- automatic version update by autodist

* Thu Aug 05 2021 Automatic Build System <autodist@mambasoft.it> 1.2.187-1mamba
- automatic version update by autodist

* Fri Jul 30 2021 Automatic Build System <autodist@mambasoft.it> 1.2.186-1mamba
- automatic version update by autodist

* Thu Jul 22 2021 Automatic Build System <autodist@mambasoft.it> 1.2.185-1mamba
- automatic version update by autodist

* Thu Jul 08 2021 Automatic Build System <autodist@mambasoft.it> 1.2.184-1mamba
- automatic version update by autodist

* Thu Jul 01 2021 Automatic Build System <autodist@mambasoft.it> 1.2.183-1mamba
- automatic version update by autodist

* Mon Jun 28 2021 Automatic Build System <autodist@mambasoft.it> 1.2.182-1mamba
- automatic version update by autodist

* Fri Jun 18 2021 Automatic Build System <autodist@mambasoft.it> 1.2.181-1mamba
- automatic version update by autodist

* Sat May 29 2021 Automatic Build System <autodist@mambasoft.it> 1.2.179-1mamba
- automatic version update by autodist

* Thu May 13 2021 Automatic Build System <autodist@mambasoft.it> 1.2.178-1mamba
- automatic version update by autodist

* Sat May 01 2021 Automatic Build System <autodist@mambasoft.it> 1.2.177-1mamba
- automatic version update by autodist

* Thu Apr 29 2021 Automatic Build System <autodist@mambasoft.it> 1.2.176-1mamba
- automatic version update by autodist

* Tue Mar 30 2021 Automatic Build System <autodist@mambasoft.it> 1.2.174-1mamba
- automatic version update by autodist

* Fri Mar 26 2021 Automatic Build System <autodist@mambasoft.it> 1.2.173-1mamba
- automatic version update by autodist

* Thu Mar 11 2021 Automatic Build System <autodist@mambasoft.it> 1.2.172-1mamba
- automatic version update by autodist

* Thu Mar 04 2021 Automatic Build System <autodist@mambasoft.it> 1.2.171-1mamba
- automatic version update by autodist

* Thu Feb 25 2021 Automatic Build System <autodist@mambasoft.it> 1.2.170-1mamba
- automatic version update by autodist

* Wed Jan 06 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.166-1mamba
- update to 1.2.166

* Tue Mar 31 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.135-1mamba
- update to 1.2.135

* Tue Mar 17 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.134-1mamba
- package created using the webbuild interface
